% General Utilities Toolbox 
% Version 2.0 (R2010a) 01-Jul-2010
%
% General information.
%  The toolbox comprises a components for implementing various technical
%  analysis algorithms. The toolbox integrates with the Financial
%  Time-series objects (FINTS) from the Finance toolbox.
%
% General Functions.
%   CELL2COMMALIST  -  cell-array to a comma separated list
%   COMMALIST2CELL  -  comma separated list to a cell-array
%   CELL2STRLIST - cell-array to a string list
%   CELL2TICKLIST - cell-array to a ticker list
%   DATERANGE - compute a date range from date vectors
%   ENABLEAUTOMATIONSERVER - enable an automation server for matlab
%   EPSCLEAN - remove trailing numerical noise at significant figure level
%   FREQSAMPLERATE - convert the frequency to a resampling rate
%   HOLIDAYS - compute holidays for the JSE, LSE and NYSE
%   HPFILTER - Hodrick-Prescott filter (legacy)
%   ISMEMSTR - Fast string member check
%   ITEMTRIM - trim strings of FINTS unfriendly characters
%   NANSPY - visualise NaN's in the data
%   NANZSCORE - Z-score missing data
%   NTILE - N-tile missing data 
%   OPENSTRUCT - open and check struct (TBDL)
%   SENDGMAIL - Send a GMAIL email from matlab
%   STARTUP_DEVELOPMENT_QTTIM - Tim's start up file
%   STARTUP_DEVELOPMENT_QTRAPH - Raphs's start up file
%   STARTUP_PRODUCTION - Production start up file
%   STRUCTMATVIEW - view a structure in matlab
%   UNSORT - unsort a sorted vector using sort indices
%   WINDSORIZE - windsorize missing data matrices
%   ZEROORDERHOLD - apply zero-order hold to a matric
%   THIRDFRIDAY - find the 3-rd Friday of a month
%
% Objects
%   None at this time.
%
% Test Code
%   indicator_test_001  - test code for the library of functions
%
% Obsolete functions.
%   None at this time.
%
% Others
%   None at this time
%
% GUI Utilities.
%   None at this time.

%   Copyright 2008 Tim Gebbie, Raphael Nkomo, QT Capital Management

% $Revision: 1.1 $ $Date: 2008/07/01 14:49:42 $ $Author: Tim Gebbie $
